version: '3'

services:
  db:
    image: mysql:latest
    restart: always
    environment:
      - MYSQL_ROOT_PASSWORD="${DB_PASS}"
      - MYSQL_DATABASE="${DB_NAME}"
      - MYSQL_USER="${DB_USER}"
      - MYSQL_PASSWORD:="${DB_PASS}"
    ports:
      - "${DB_EXTERNAL_PORT}:3306"

  spring-rest-api:
    build: ./rest-api
    depends_on:
       - db
    restart: always
    environment:
      - ACTIVE_PROFILE=dev
      - DB_HOST="${DB_HOST}"
      - DB_PORT="${DB_PORT}"
      - DB_USER="${DB_USER}"
      - DB_PASS="${DB_PASS}"
      - DB_NAME="${DB_NAME}"
    links:
      - db:mysql
    ports:
      - "${API_EXTERNAL_PORT}:8080"
